<?php
require_once __DIR__.'/../maincore.php';

if (!checkrights("CP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/custom_pages.php";

add_breadcrumb(['link' => ADMIN.'infusions.php'.$aidlink, 'title' => $locale['CP']]);

if (isset($_COOKIE['custom_pages_tinymce']) && $_COOKIE['custom_pages_tinymce'] == 1 && $settings['tinymce_enabled']) {
    echo "<script language='javascript' type='text/javascript'>advanced();</script>\n";
} else {
    require_once INCLUDES."html_buttons_include.php";
}

$url_suffix = '.html';
if (!function_exists('translit')) {
   function translit($st) {
   	$st = strtr($st, "-", "abvgdeeziyklmnoprstufh'ie-");
   	$st = strtr($st, "Ũ-","ABVGDEEZIYKLMNOPRSTUFH'IEI");
   	$st = strtr($st, array("" => "zh", "" => "ts",
   			"" => "ch", "" => "sh", "" => "shch",
   			"" => "", "" => "yu", "" => "ya",
   			"" => "ZH", "" => "TS", "" => "CH",
   			"" => "SH", "" => "SHCH", "" => "",
   			"" => "YU", "" => "YA", "" => "i",
   			"" => "Yi", "" => "ie", "" => "Ye"));

   	$search = array(".", ",", ":", ";", "'", '"', '-');
   	$replace = array("", "", "", "", "", "", '-');
   	$st = str_replace($search, $replace, $st);
   	$st = str_replace("&amp;", " and ", $st);
   	$st = str_replace("&", " and ", $st);
   	$st = str_replace("  ", " ", $st);
   	$st = str_replace(" ", "-", $st);
   	$st = str_replace("__", "-", $st);
   	$st = strtolower($st);
   	return $st;
   }
}

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$page_url = $_GET['purl'].$url_suffix;
		$message = $locale['410']."<br />\n".$locale['412']."\n<a href='/".$page_url."'>".$page_url."</a>\n";
	} elseif ($_GET['status'] == "su") {
		$page_url = $_GET['purl'].$url_suffix;
		$message = $locale['411']."<br />\n".$locale['412']."\n<a href='/".$page_url."'>".$page_url."</a>\n";
	} elseif ($_GET['status'] == "del") {
		$message = $locale['413'];
	} elseif ($_GET['status'] == "pw") {
		$message = $locale['global_182'];
	}
	if ($message) {
		$message = "<div class='admin-message'>".$message."</div>";
		if ($_GET['status'] == "sn" || $_GET['status'] == "su") {
			echo $message;
		} else {
			echo "<div id='close-message'>".$message."</div>\n";
		}
	}
}

if (isset($_POST['save'])) {
    $page_title = stripinput($_POST['page_title']);
	$page_url = stripinput($_POST['page_url']);
	$page_desc = stripinput($_POST['page_desc']);
	$page_keywords = stripinput($_POST['page_keywords']);
	$page_seo_title = stripinput($_POST['page_seo_title']);
	if (!$page_url) $page_url = translit($page_title);
    $page_access = isnum($_POST['page_access']) ? $_POST['page_access'] : "0";
    $page_content = addslash($_POST['page_content']);
    $page_language = stripinput($_POST['page_language']);
    if (check_admin_pass(isset($_POST['admin_password']) ? stripinput($_POST['admin_password']) : "")) {
        if (isset($_POST['page_id']) && isnum($_POST['page_id'])) {
            $result = dbquery(
                "UPDATE ".DB_CUSTOM_PAGES." SET
					page_title='".$page_title."',
					page_access='".$page_access."',
					page_url='".$page_url."',
					page_desc='".$page_desc."',
					page_keywords='".$page_keywords."',
					page_seo_title='".$page_seo_title."',
					page_content='".$page_content."',
					page_allow_comments='".$comments."',
					page_allow_ratings='".$ratings."',
					page_language='".$page_language."'
					WHERE page_id='".$_POST['page_id']."'"
            );
        } else {
            $result = dbquery(
                "INSERT INTO ".DB_CUSTOM_PAGES." (
					page_title, page_access, page_content, page_language, page_url, page_desc, page_keywords, page_seo_title
				) VALUES (
					'".$page_title."', '".$page_access."', '".$page_content."', '".$page_language."','".$page_url."','".$page_desc."','".$page_keywords."','".$page_seo_title."'
				)"
            );

            $page_id = db_lastid();

            if (isset($_POST['add_link'])) {
                $data = dbarray(dbquery("SELECT link_order FROM ".DB_SITE_LINKS." ".(multilang_table("SL") ? "WHERE link_language='".LANGUAGE."'" : "")." ORDER BY link_order DESC LIMIT 1"));
                $link_order = $data['link_order'] + 1;
				$link_url = '/'.$page_url.$url_suffix;
                $result = dbquery(
                    "INSERT INTO ".DB_SITE_LINKS." (
						link_name, link_url, link_visibility, link_position, link_window, link_order, link_language
					) VALUES (
						'".$page_title."', '".$link_url."', '".$page_access."', '1', '0', '".$link_order."', '".$page_language."'
					)"
                );
            }
        }
        set_admin_pass(isset($_POST['admin_password']) ? stripinput($_POST['admin_password']) : "");
        if (isset($_POST['page_id']) && isnum($_POST['page_id'])) {
            redirect(FUSION_SELF.$aidlink."&status=su&pid=".$_POST['page_id']."&purl=".$page_url, TRUE);
        } else {
            redirect(FUSION_SELF.$aidlink."&status=sn&pid=".$page_id."&purl=".$page_url, TRUE);
        }
    } else {
        redirect(FUSION_SELF.$aidlink."&status=pw");
    }
} else if (isset($_POST['delete']) && (isset($_POST['page_id']) && isnum($_POST['page_id']))) {
    $result = dbquery("SELECT * FROM ".DB_CUSTOM_PAGES." WHERE page_id='".$_POST['page_id']."'");
	if ($data = dbarray($result)) {
	  $link_url = '/'.$data['page_url'].$url_suffix;
	  $result = dbquery("DELETE FROM ".DB_CUSTOM_PAGES." WHERE page_id='".$_POST['page_id']."'");
	  $result = dbquery("DELETE FROM ".DB_SITE_LINKS." WHERE link_url='viewpage.php?page_id=".$_POST['page_id']."'");
	  $result = dbquery("DELETE FROM ".DB_SITE_LINKS." WHERE link_url='".$link_url."'");
	}
	redirect(FUSION_SELF.$aidlink."&status=del");
} else {
    if (isset($_POST['preview'])) {
        $addlink = isset($_POST['add_link']) ? " checked='checked'" : "";
        $page_title = stripinput($_POST['page_title']);
		$page_url = stripinput($_POST['page_url']);
		$page_desc = stripinput($_POST['page_desc']);
		$page_keywords = stripinput($_POST['page_keywords']);
		$page_seo_title = stripinput($_POST['page_seo_title']);
		if (!$page_url) $page_url = translit($page_title);
        $page_access = $_POST['page_access'];
        $page_content = stripslash($_POST['page_content']);
        $page_language = stripslash($_POST['page_language']);
        if (check_admin_pass(isset($_POST['admin_password']) ? stripinput($_POST['admin_password']) : "")) {
            opentable($page_title);
            if (fusion_get_settings('allow_php_exe')) {
                eval("?>".$page_content."<?php ");
            } else {
                echo $page_content;
            }
            closetable();
            set_admin_pass(isset($_POST['admin_password']) ? stripinput($_POST['admin_password']) : "");
        } else {
            echo "<div id='close-message'><div class='admin-message'>".$locale['global_182']."</div></div>\n";
        }
        $page_content = phpentities($page_content);
    }
    $result = dbquery("SELECT page_id, page_title, page_language FROM ".DB_CUSTOM_PAGES." ".(multilang_table("CP") ? "WHERE page_language='".LANGUAGE."'" : "")." ORDER BY page_title");
    if (dbrows($result) != 0) {
        $editlist = "";
        $sel = "";
        while ($data = dbarray($result)) {
            if (isset($_POST['page_id'])) {
                $sel = ($_POST['page_id'] == $data['page_id'] ? " selected='selected'" : "");
            }
            $editlist .= "<option value='".$data['page_id']."'$sel>".$data['page_title']."</option>\n";
        }
        opentable($locale['402']);
        echo "<div style='text-align:center'>\n<form name='selectform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
        echo "<select name='page_id' class='textbox' style='width:200px;'>\n".$editlist."</select>\n";
        echo "<input type='submit' name='edit' value='".$locale['420']."' class='button' />\n";
        echo "<input type='submit' name='delete' value='".$locale['421']."' onclick='return DeletePage();' class='button' />\n";
        echo "</form>\n</div>\n";
        closetable();
    }

    if (isset($_POST['edit']) && (isset($_POST['page_id']) && isnum($_POST['page_id']))) {
        $result = dbquery(
            "SELECT page_id, page_title, page_access, page_content, page_allow_comments, page_allow_ratings, page_language, page_url, page_desc, page_keywords, page_seo_title
			FROM ".DB_CUSTOM_PAGES." WHERE page_id='".$_POST['page_id']."' LIMIT 1"
        );
        if (dbrows($result)) {
            $data = dbarray($result);
            $page_title = $data['page_title'];
			$page_url = $data['page_url'];
			$page_desc = $data['page_desc'];
			$page_keywords = $data['page_keywords'];
			$page_seo_title = $data['page_seo_title'];
            $page_access = $data['page_access'];
            $page_language = $data['page_language'];
            $page_content = phpentities(stripslashes($data['page_content']));
            $addlink = "";
        } else {
            redirect(FUSION_SELF.$aidlink);
        }
    }
    if (isset($_POST['page_id']) && isnum($_POST['page_id'])) {
        opentable($locale['401']);
    } else {
        if (!isset($_POST['preview'])) {
            $page_title = "";
			$page_url = "";
			$page_desc = "";
			$page_keywords = "";
			$page_seo_title = "";
            $page_access = "";
            $page_content = "";
            $page_language = LANGUAGE;
            $addlink = "";
        }
        opentable($locale['400']);
    }
    $user_groups = getusergroups();
    $access_opts = "";
    $sel = "";
    foreach ($user_groups as $user_group) {
        $sel = ($page_access == $user_group['0'] ? " selected='selected'" : "");
        $access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
    }
    echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."' onsubmit='return ValidateForm(this);'>\n";
    echo "<div class='panel panel-default box-shadow' style='border:none;'>";
    echo "<div class='panel-body text-center'>";

    if ($settings['tinymce_enabled']) {
        echo "<div class='col-xs-3 col-sm-3 col-md-3 col-lg-3'>".$locale['460']." <input type='button' id='tinymce_switch' name='tinymce_switch' value='".(!isset($_COOKIE['custom_pages_tinymce']) || $_COOKIE['custom_pages_tinymce'] == 0 ? $locale['461'] : $locale['462'])."' class='button' style='width:75px;' onclick=\"SetTinyMCE(".(!isset($_COOKIE['custom_pages_tinymce']) || $_COOKIE['custom_pages_tinymce'] == 0 ? 1 : 0).");\"/></div>\n";
    }
    echo "<div class='col-xs-3 col-sm-3 col-md-3 col-lg-3'>".$locale['422']." <input type='text' name='page_title' value='".$page_title."' class='textbox' style='width:200px;' autocomplete='off' /></div>\n";
    echo "<div class='col-xs-3 col-sm-3 col-md-3 col-lg-3'>&nbsp;".$locale['423']."<select name='page_access' class='textbox' style='width:150px;'>\n".$access_opts."</select></div>\n";
	if (multilang_table("CP")) {
        echo "<div class='col-xs-3 col-sm-3 col-md-3 col-lg-3'>".$locale['global_ML100']."";
        $opts = get_available_languages_list($selected_language = "$page_language");
        echo "<select name='page_language' class='textbox' style='width:100px;'>".$opts."</select>\n";
    } else {
        echo "<input type='hidden' name='page_language' value='".$page_language."' />\n";
    }
    echo "</div>\n";
	echo "</div>\n";
	echo "<div class='col-xs-3 col-sm-3 col-md-3 col-lg-3'>&nbsp;".$locale['422a']."<input type='text' name='page_url' value='".$page_url."' class='textbox' /></div>\n";
    echo "<div class='col-xs-3 col-sm-3 col-md-3 col-lg-3'>&nbsp;".$locale['422c']."<input type='text' maxlength='320' name='page_desc' value='".$page_desc."' class='textbox' /></div>\n";
	echo "<div class='col-xs-3 col-sm-3 col-md-3 col-lg-3'>&nbsp;".$locale['422b']."<input type='text' maxlength='160' name='page_keywords' value='".$page_keywords."' class='textbox' /></div>\n";
	echo "<div class='col-xs-3 col-sm-3 col-md-3 col-lg-3'>&nbsp;".$locale['422d']."<input type='text' maxlength='160' name='page_seo_title' value='".$page_seo_title."' class='textbox' /></div>\n";
    
    echo "</div>\n";

    echo "<div class='panel panel-default box-shadow' style='border:none;'>";
    echo "<div class='panel-body'>";

    echo "<div class='col-xs-12 col-sm-12 col-md-12 col-lg-12 pull-left'>".$locale['424']." <br />";
    echo "<textarea name='page_content' rows='20' class='textbox col-xs-12 col-sm-12 col-md-12 col-lg-12' style='width:100%'>".$page_content."</textarea></div>\n";

    if (!isset($_COOKIE['custom_pages_tinymce']) || !$_COOKIE['custom_pages_tinymce'] || !$settings['tinymce_enabled']) {
        echo "<div class='col-xs-12 col-sm-12 col-md-12 col-lg-12 text-center'>\n";
        echo "<input type='button' value='&lt;?php?&gt;' class='button' onclick=\"addText('page_content', '&lt;?php\\n', '\\n?&gt;');\" />\n";
        echo "<input type='button' value='&lt;p&gt;' class='button' onclick=\"addText('page_content', '&lt;p&gt;', '&lt;/p&gt;');\" />\n";
        echo "<input type='button' value='&lt;br /&gt;' class='button' onclick=\"insertText('page_content', '&lt;br /&gt;');\" />\n";
        echo display_html("inputform", "page_content", TRUE)."\n";
        echo "</div>\n";
    }
    echo "</div>\n";
    echo "</div>\n";

    echo "<div class='panel panel-default box-shadow' style='border:none;'>";
    echo "<div class='panel-body text-center'>";

    echo "<div class='col-xs-4 col-sm-4 col-md-4 col-lg-4'>\n";
    if (!isset($_POST['page_id']) || !isnum($_POST['page_id'])) {
        echo "<label><input type='checkbox' name='add_link' value='1'".$addlink." />  ".$locale['426']."</label><br />\n";
    }
    echo "</div>\n";

    echo "</div>\n";
    echo "</div>\n";

    echo "<div class='panel panel-default box-shadow' style='border:none;'>";
    echo "<div class='panel-body'>";
    echo "<div class='col-xs-12 col-sm-12 col-md-12 col-lg-12 text-center'>\n";
    if (isset($_POST['page_id']) && isnum($_POST['page_id'])) {
        echo "<input type='hidden' name='page_id' value='".$_POST['page_id']."' />\n";
    }
    echo "<input type='submit' name='preview' value='".$locale['429']."' class='button' />\n";
    echo "<input type='submit' name='save' value='".$locale['430']."' class='button' /></td>\n";
    echo "</div>\n";
    echo "</div>\n";
    echo "</div>\n";
    echo "</form>\n";
    closetable();
    echo "<script type='text/javascript'>\n"."function DeletePage() {\n";
    echo "return confirm('".$locale['450']."');\n}"."\n";
    echo "function ValidateForm(frm) {\n"."if(frm.page_title.value=='') {\n";
    echo "alert('".$locale['451']."');\n"."return false;\n}\n";
    echo "if(frm.admin_password.value=='') {\n"."alert('".$locale['452']."');\n";
    echo "return false;\n}\n}\n";
    if ($settings['tinymce_enabled']) {
        echo "function SetTinyMCE(val) {\n";
        echo "now=new Date();\n"."now.setTime(now.getTime()+1000*60*60*24*365);\n";
        echo "expire=(now.toGMTString());\n"."document.cookie=\"custom_pages_tinymce=\"+escape(val)+\";expires=\"+expire;\n";
        echo "location.href='".FUSION_SELF.$aidlink."';\n"."}\n";
    }
    echo "</script>\n";
}

require_once THEMES."templates/footer.php";
